LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 02-18-2013, 06:43 AM   #1
MadMaverick9
Member
 
Registered: Aug 2010
Posts: 285
Blog Entries: 3

Rep: Reputation: Disabled
Question FlightGear - latest version that will work with OpenGL 1.4.


I have the following setup:

Slackware 14.0
Code:
xdriinfo ; glxinfo | grep -iE 'direct|opengl'
Code:
Screen 0: i915
direct rendering: Yes
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) G33 x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 8.0.4
Code:
 (II) Module intel: vendor="X.Org Foundation"
    compiled for 1.12.3, module version = 2.20.8
    Module class: X.Org Video Driver
    ABI class: X.Org Video Driver, version 12.0
FlightGear 2.8.0 from Slackbuilds.org will not work, because it requires OpenGL 2.0.

http://wiki.flightgear.org/New_to_FlightGear
Quote:
OpenGL 2.0 or higher is required for FlightGear 2.0 and later.
So my question is: what is the latest version of FlightGear that will work with OpenGL 1.4? Will FlightGear 1.9.1 work with OpenGL 1.4?

Any other tips are appreciated.
 
Old 02-19-2013, 07:37 AM   #2
MadMaverick9
Member
 
Registered: Aug 2010
Posts: 285

Original Poster
Blog Entries: 3

Rep: Reputation: Disabled
The answers to my questions are: 1.9.1 and Yes.

I had to patch a few files and use a different version of OpenSceneGraph (v2.8.5 instead of v3.0.1).

Now I need to learn to fly again. The last time I flew was in the 80's with subLOGIC's Flight Simulator for the Apple II.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] I Will the latest version of Ubuntu work on my Dell inspiron 1150 thenighthawk Linux - Newbie 3 09-24-2012 07:34 AM
Does the latest version of ffmpeg not work with ffmpeg-php? whitey4900 Linux - Software 0 08-04-2008 06:16 PM
Compiz will not work on ubuntu 8.04 with 9600 gso running nvidia-glx latest version tekgek Linux - Newbie 4 06-16-2008 09:08 PM
FlightGear on Mandriva 2006 OpenGL Problem tfm1 Linux - Games 12 06-21-2006 08:14 AM
How2 enable OpenGL for Flightgear? flaminghamster Linux - Games 5 03-29-2004 12:23 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:46 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration